From e8a49d7aa056ef7d6048b83a37949b31b43df366 Mon Sep 17 00:00:00 2001
From: Mark Reynolds <mreynolds@redhat.com>
Date: Tue, 26 Jul 2016 16:49:47 -0400
Subject: [PATCH] Ticket 48832 - CI tests - convert all the tests to use
 py.test

Description:  Made sure all the tests use py.test instead of isolated run
              functions.  Also made some more fixes to a few tests.

https://fedorahosted.org/389/ticket/48832

Reviewed by: ?
---
 .../acct_usability_plugin/acct_usability_test.py   | 15 ++----
 .../suites/acctpolicy_plugin/acctpolicy_test.py    | 15 ++----
 .../suites/attr_encryption/attr_encrypt_test.py    | 15 ++----
 .../attr_uniqueness_plugin/attr_uniqueness_test.py | 15 ++----
 .../suites/automember_plugin/automember_test.py    | 15 ++----
 dirsrvtests/tests/suites/betxns/betxn_test.py      | 18 ++-----
 .../tests/suites/chaining_plugin/chaining_test.py  | 15 ++----
 dirsrvtests/tests/suites/clu/clu_test.py           | 19 ++-----
 dirsrvtests/tests/suites/clu/db2ldif_test.py       | 22 ++------
 .../suites/collation_plugin/collatation_test.py    | 20 ++-----
 dirsrvtests/tests/suites/cos_plugin/cos_test.py    | 15 ++----
 .../tests/suites/deref_plugin/deref_test.py        | 15 ++----
 .../suites/disk_monitoring/disk_monitor_test.py    | 15 ++----
 .../tests/suites/distrib_plugin/distrib_test.py    | 15 ++----
 dirsrvtests/tests/suites/dna_plugin/dna_test.py    | 15 ++----
 dirsrvtests/tests/suites/ds_logs/ds_logs_test.py   | 15 ++----
 .../suites/dynamic-plugins/test_dynamic_plugins.py | 22 ++------
 dirsrvtests/tests/suites/filter/filter_test.py     | 17 ++----
 .../tests/suites/get_effective_rights/ger_test.py  | 15 ++----
 dirsrvtests/tests/suites/ldapi/__init__.py         |  1 +
 dirsrvtests/tests/suites/ldapi/ldapi_test.py       | 15 ++----
 .../suites/linkedattrs_plugin/linked_attrs_test.py | 15 ++----
 .../tests/suites/mapping_tree/mapping_tree_test.py | 15 ++----
 dirsrvtests/tests/suites/monitor/monitor_test.py   | 15 ++----
 .../tests/suites/pam_passthru_plugin/pam_test.py   | 15 ++----
 .../tests/suites/passthru_plugin/passthru_test.py  | 15 ++----
 dirsrvtests/tests/suites/password/password_test.py | 15 ++----
 dirsrvtests/tests/suites/password/pwdAdmin_test.py | 16 ++----
 .../posix_winsync_plugin/posix_winsync_test.py     | 15 ++----
 dirsrvtests/tests/suites/psearch/psearch_test.py   | 15 ++----
 .../tests/suites/referint_plugin/referint_test.py  | 15 ++----
 .../tests/suites/replication/cleanallruv_test.py   | 34 +++---------
 .../replication/wait_for_async_feature_test.py     |  1 +
 .../tests/suites/replsync_plugin/repl_sync_test.py | 15 ++----
 .../suites/resource_limits/res_limits_test.py      | 15 ++----
 .../tests/suites/retrocl_plugin/retrocl_test.py    | 15 ++----
 .../tests/suites/reverpwd_plugin/reverpwd_test.py  | 15 ++----
 .../tests/suites/roles_plugin/roles_test.py        | 15 ++----
 .../suites/rootdn_plugin/rootdn_plugin_test.py     | 36 ++++++-------
 dirsrvtests/tests/suites/sasl/sasl_test.py         | 14 ++---
 dirsrvtests/tests/suites/schema/test_schema.py     | 21 ++------
 .../schema_reload_plugin/schema_reload_test.py     | 15 ++----
 dirsrvtests/tests/suites/snmp/snmp_test.py         | 15 ++----
 dirsrvtests/tests/suites/ssl/ssl_test.py           | 15 ++----
 .../tests/suites/syntax_plugin/syntax_test.py      | 15 ++----
 dirsrvtests/tests/suites/usn_plugin/usn_test.py    | 15 ++----
 .../tests/suites/views_plugin/views_test.py        | 14 ++---
 dirsrvtests/tests/suites/vlv/vlv_test.py           | 15 ++----
 .../tests/suites/whoami_plugin/whoami_test.py      | 15 ++----
 dirsrvtests/tests/tickets/ticket1347760_test.py    |  2 +-
 dirsrvtests/tests/tickets/ticket142_test.py        |  2 +-
 dirsrvtests/tests/tickets/ticket47313_test.py      | 20 ++-----
 dirsrvtests/tests/tickets/ticket47431_test.py      | 28 +++-------
 dirsrvtests/tests/tickets/ticket47490_test.py      | 37 ++-----------
 dirsrvtests/tests/tickets/ticket47560_test.py      | 23 ++------
 dirsrvtests/tests/tickets/ticket47573_test.py      | 27 ++--------
 dirsrvtests/tests/tickets/ticket47619_test.py      | 36 ++-----------
 dirsrvtests/tests/tickets/ticket47640_test.py      | 19 ++-----
 dirsrvtests/tests/tickets/ticket47653MMR_test.py   | 31 ++---------
 dirsrvtests/tests/tickets/ticket47653_test.py      | 32 ++----------
 dirsrvtests/tests/tickets/ticket47669_test.py      | 29 ++--------
 dirsrvtests/tests/tickets/ticket47676_test.py      | 33 ++----------
 dirsrvtests/tests/tickets/ticket47714_test.py      | 30 ++---------
 dirsrvtests/tests/tickets/ticket47721_test.py      | 35 ++-----------
 dirsrvtests/tests/tickets/ticket47781_test.py      | 25 ++-------
 dirsrvtests/tests/tickets/ticket47787_test.py      | 32 ++----------
 dirsrvtests/tests/tickets/ticket47808_test.py      | 26 ++-------
 dirsrvtests/tests/tickets/ticket47815_test.py      | 24 ++-------
 dirsrvtests/tests/tickets/ticket47819_test.py      | 24 ++-------
 dirsrvtests/tests/tickets/ticket47823_test.py      | 47 ++---------------
 dirsrvtests/tests/tickets/ticket47828_test.py      | 61 ++--------------------
 dirsrvtests/tests/tickets/ticket47829_test.py      | 49 ++---------------
 dirsrvtests/tests/tickets/ticket47833_test.py      | 19 ++-----
 dirsrvtests/tests/tickets/ticket47838_test.py      | 41 +--------------
 dirsrvtests/tests/tickets/ticket47869MMR_test.py   | 31 ++---------
 dirsrvtests/tests/tickets/ticket47871_test.py      | 28 ++--------
 dirsrvtests/tests/tickets/ticket47900_test.py      | 24 ++-------
 dirsrvtests/tests/tickets/ticket47920_test.py      | 26 ++-------
 dirsrvtests/tests/tickets/ticket47921_test.py      | 19 ++-----
 dirsrvtests/tests/tickets/ticket47927_test.py      | 25 ++-------
 dirsrvtests/tests/tickets/ticket47937_test.py      | 25 ++-------
 dirsrvtests/tests/tickets/ticket47950_test.py      | 25 ++-------
 dirsrvtests/tests/tickets/ticket47953_test.py      | 25 ++-------
 dirsrvtests/tests/tickets/ticket47963_test.py      | 19 ++-----
 dirsrvtests/tests/tickets/ticket47966_test.py      | 25 +++------
 dirsrvtests/tests/tickets/ticket47970_test.py      | 25 ++-------
 dirsrvtests/tests/tickets/ticket47973_test.py      | 30 ++---------
 dirsrvtests/tests/tickets/ticket47980_test.py      | 25 ++-------
 dirsrvtests/tests/tickets/ticket47981_test.py      | 25 ++-------
 dirsrvtests/tests/tickets/ticket47988_test.py      | 33 ++----------
 dirsrvtests/tests/tickets/ticket48005_test.py      | 29 +++-------
 dirsrvtests/tests/tickets/ticket48013_test.py      | 27 +++-------
 dirsrvtests/tests/tickets/ticket48026_test.py      | 23 ++------
 dirsrvtests/tests/tickets/ticket48170_test.py      | 19 ++-----
 dirsrvtests/tests/tickets/ticket48194_test.py      |  6 ---
 dirsrvtests/tests/tickets/ticket48212_test.py      |  1 +
 dirsrvtests/tests/tickets/ticket48214_test.py      | 28 ++--------
 dirsrvtests/tests/tickets/ticket48226_test.py      |  2 +-
 dirsrvtests/tests/tickets/ticket48228_test.py      | 31 ++---------
 dirsrvtests/tests/tickets/ticket48252_test.py      | 33 ++----------
 dirsrvtests/tests/tickets/ticket48265_test.py      | 35 +++----------
 dirsrvtests/tests/tickets/ticket48266_test.py      |  8 +--
 dirsrvtests/tests/tickets/ticket48270_test.py      | 24 ++-------
 dirsrvtests/tests/tickets/ticket48294_test.py      | 25 +--------
 dirsrvtests/tests/tickets/ticket48295_test.py      | 23 +-------
 dirsrvtests/tests/tickets/ticket48342_test.py      | 14 +++--
 dirsrvtests/tests/tickets/ticket48362_test.py      |  1 +
 dirsrvtests/tests/tickets/ticket48366_test.py      | 30 ++---------
 dirsrvtests/tests/tickets/ticket48369_test.py      |  2 +-
 dirsrvtests/tests/tickets/ticket48383_test.py      |  1 +
 dirsrvtests/tests/tickets/ticket48497_test.py      | 41 ++++-----------
 dirsrvtests/tests/tickets/ticket48637_test.py      |  1 -
 dirsrvtests/tests/tickets/ticket48665_test.py      |  1 +
 dirsrvtests/tests/tickets/ticket48745_test.py      | 13 ++---
 dirsrvtests/tests/tickets/ticket48746_test.py      | 21 --------
 dirsrvtests/tests/tickets/ticket48755_test.py      |  7 ++-
 dirsrvtests/tests/tickets/ticket48759_test.py      | 25 ++-------
 dirsrvtests/tests/tickets/ticket48784_test.py      |  3 +-
 dirsrvtests/tests/tickets/ticket48799_test.py      |  6 ++-
 dirsrvtests/tests/tickets/ticket48844_test.py      |  4 ++
 dirsrvtests/tests/tickets/ticket48891_test.py      | 43 ++++-----------
 dirsrvtests/tests/tickets/ticket48916_test.py      |  6 +--
 122 files changed, 489 insertions(+), 1966 deletions(-)

diff --git a/dirsrvtests/tests/suites/acct_usability_plugin/acct_usability_test.py b/dirsrvtests/tests/suites/acct_usability_plugin/acct_usability_test.py
index 38b78c2..b7ac869 100644
--- a/dirsrvtests/tests/suites/acct_usability_plugin/acct_usability_test.py
+++ b/dirsrvtests/tests/suites/acct_usability_plugin/acct_usability_test.py
@@ -77,15 +77,8 @@ def test_acct_usability_(topology):
     return
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_acct_usability_init(topo)
-    test_acct_usability_(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/acctpolicy_plugin/acctpolicy_test.py b/dirsrvtests/tests/suites/acctpolicy_plugin/acctpolicy_test.py
index 6404360..14c6851 100644
--- a/dirsrvtests/tests/suites/acctpolicy_plugin/acctpolicy_test.py
+++ b/dirsrvtests/tests/suites/acctpolicy_plugin/acctpolicy_test.py
@@ -74,15 +74,8 @@ def test_acctpolicy_(topology):
     return
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_acctpolicy_init(topo)
-    test_acctpolicy_(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/attr_encryption/attr_encrypt_test.py b/dirsrvtests/tests/suites/attr_encryption/attr_encrypt_test.py
index 9b704d6..6116aed 100644
--- a/dirsrvtests/tests/suites/attr_encryption/attr_encrypt_test.py
+++ b/dirsrvtests/tests/suites/attr_encryption/attr_encrypt_test.py
@@ -77,15 +77,8 @@ def test_attr_encrypt_(topology):
     return
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_attr_encrypt_init(topo)
-    test_attr_encrypt_(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/attr_uniqueness_plugin/attr_uniqueness_test.py b/dirsrvtests/tests/suites/attr_uniqueness_plugin/attr_uniqueness_test.py
index 9786210..6550f43 100644
--- a/dirsrvtests/tests/suites/attr_uniqueness_plugin/attr_uniqueness_test.py
+++ b/dirsrvtests/tests/suites/attr_uniqueness_plugin/attr_uniqueness_test.py
@@ -229,15 +229,8 @@ def test_attr_uniqueness(topology):
     log.info('test_attr_uniqueness: PASS\n')
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_attr_uniqueness_init(topo)
-    test_attr_uniqueness(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/automember_plugin/automember_test.py b/dirsrvtests/tests/suites/automember_plugin/automember_test.py
index 940dd7f..f3a1113 100644
--- a/dirsrvtests/tests/suites/automember_plugin/automember_test.py
+++ b/dirsrvtests/tests/suites/automember_plugin/automember_test.py
@@ -77,15 +77,8 @@ def test_automember_(topology):
     return
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_automember_init(topo)
-    test_automember_(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/betxns/betxn_test.py b/dirsrvtests/tests/suites/betxns/betxn_test.py
index 97c1725..aa688de 100644
--- a/dirsrvtests/tests/suites/betxns/betxn_test.py
+++ b/dirsrvtests/tests/suites/betxns/betxn_test.py
@@ -233,21 +233,11 @@ def test_betxn_memberof(topology):
     #
     # Done
     #
-
     log.info('test_betxn_memberof: PASSED')
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_betxn_init(topo)
-    test_betxt_7bit(topo)
-    test_betxn_attr_uniqueness(topo)
-    test_betxn_memberof(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/chaining_plugin/chaining_test.py b/dirsrvtests/tests/suites/chaining_plugin/chaining_test.py
index fe00ce0..dc7807b 100644
--- a/dirsrvtests/tests/suites/chaining_plugin/chaining_test.py
+++ b/dirsrvtests/tests/suites/chaining_plugin/chaining_test.py
@@ -74,15 +74,8 @@ def test_chaining_(topology):
     return
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_chaining_init(topo)
-    test_chaining_(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/clu/clu_test.py b/dirsrvtests/tests/suites/clu/clu_test.py
index 824fa74..231b011 100644
--- a/dirsrvtests/tests/suites/clu/clu_test.py
+++ b/dirsrvtests/tests/suites/clu/clu_test.py
@@ -90,19 +90,8 @@ def test_clu_pwdhash(topology):
     log.info('test_clu_pwdhash: PASSED')
 
 
-def run_isolated():
-    '''
-    This test is for the simple scripts that don't have a lot of options or
-    points of failure.  Scripts that do, should have their own individual tests.
-    '''
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_clu_init(topo)
-    test_clu_pwdhash(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/clu/db2ldif_test.py b/dirsrvtests/tests/suites/clu/db2ldif_test.py
index 3769dc4..be4405a 100644
--- a/dirsrvtests/tests/suites/clu/db2ldif_test.py
+++ b/dirsrvtests/tests/suites/clu/db2ldif_test.py
@@ -65,22 +65,8 @@ def test_db2ldif_init(topology):
     return
 
 
-def run_isolated():
-    '''
-    Test db2lidf/db2ldif.pl - test/stress functionality, all the command line options,
-    valid/invalid option combinations, etc, etc.
-    '''
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_db2ldif_init(topo)
-
-    # test 1 function...
-    # test 2 function...
-    # ...
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/collation_plugin/collatation_test.py b/dirsrvtests/tests/suites/collation_plugin/collatation_test.py
index b941c8e..d915165 100644
--- a/dirsrvtests/tests/suites/collation_plugin/collatation_test.py
+++ b/dirsrvtests/tests/suites/collation_plugin/collatation_test.py
@@ -74,20 +74,8 @@ def test_collatation_(topology):
     return
 
 
-def test_collatation_final(topology):
-    log.info('collatation test suite PASSED')
-
-
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_collatation_init(topo)
-    test_collatation_(topo)
-    test_collatation_final(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/cos_plugin/cos_test.py b/dirsrvtests/tests/suites/cos_plugin/cos_test.py
index 2e0355f..f06b9d4 100644
--- a/dirsrvtests/tests/suites/cos_plugin/cos_test.py
+++ b/dirsrvtests/tests/suites/cos_plugin/cos_test.py
@@ -74,15 +74,8 @@ def test_cos_(topology):
     return
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_cos_init(topo)
-    test_cos_(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/deref_plugin/deref_test.py b/dirsrvtests/tests/suites/deref_plugin/deref_test.py
index d0200de..0153932 100644
--- a/dirsrvtests/tests/suites/deref_plugin/deref_test.py
+++ b/dirsrvtests/tests/suites/deref_plugin/deref_test.py
@@ -74,15 +74,8 @@ def test_deref_(topology):
     return
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_deref_init(topo)
-    test_deref_(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/disk_monitoring/disk_monitor_test.py b/dirsrvtests/tests/suites/disk_monitoring/disk_monitor_test.py
index 5e9a137..8930ebd 100644
--- a/dirsrvtests/tests/suites/disk_monitoring/disk_monitor_test.py
+++ b/dirsrvtests/tests/suites/disk_monitoring/disk_monitor_test.py
@@ -74,15 +74,8 @@ def test_disk_monitor_(topology):
     return
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_disk_monitor_init(topo)
-    test_disk_monitor_(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/distrib_plugin/distrib_test.py b/dirsrvtests/tests/suites/distrib_plugin/distrib_test.py
index 69ce344..101d65c 100644
--- a/dirsrvtests/tests/suites/distrib_plugin/distrib_test.py
+++ b/dirsrvtests/tests/suites/distrib_plugin/distrib_test.py
@@ -74,15 +74,8 @@ def test_distrib_(topology):
     return
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_distrib_init(topo)
-    test_distrib_(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/dna_plugin/dna_test.py b/dirsrvtests/tests/suites/dna_plugin/dna_test.py
index e6fb745..18b871b 100644
--- a/dirsrvtests/tests/suites/dna_plugin/dna_test.py
+++ b/dirsrvtests/tests/suites/dna_plugin/dna_test.py
@@ -3,7 +3,7 @@
 # All rights reserved.
 #
 # License: GPL (version 3 or any later version).
-# See LICENSE for details. 
+# See LICENSE for details.
 # --- END COPYRIGHT BLOCK ---
 #
 import os
@@ -222,13 +222,8 @@ def test_dna_(topology):
     return
 
 
-def run_isolated():
-    topo = topology(True)
-    test_dna_init(topo)
-    test_dna_(topo)
-    test_dna_final(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/ds_logs/ds_logs_test.py b/dirsrvtests/tests/suites/ds_logs/ds_logs_test.py
index 5c07e0f..1f6862d 100644
--- a/dirsrvtests/tests/suites/ds_logs/ds_logs_test.py
+++ b/dirsrvtests/tests/suites/ds_logs/ds_logs_test.py
@@ -74,15 +74,8 @@ def test_ds_logs_(topology):
     return
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_ds_logs_init(topo)
-    test_ds_logs_(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/dynamic-plugins/test_dynamic_plugins.py b/dirsrvtests/tests/suites/dynamic-plugins/test_dynamic_plugins.py
index 3b40488..fa980ec 100644
--- a/dirsrvtests/tests/suites/dynamic-plugins/test_dynamic_plugins.py
+++ b/dirsrvtests/tests/suites/dynamic-plugins/test_dynamic_plugins.py
@@ -391,7 +391,7 @@ def test_dynamic_plugins(topology):
     # Loop on the consumer - waiting for it to catch up
     count = 0
     insync = False
-    while count < 10:
+    while count < 60:
         try:
             # Grab master's max CSN
             entry = replica_inst.search_s(DEFAULT_SUFFIX, ldap.SCOPE_SUBTREE, RUV_FILTER)
@@ -473,20 +473,8 @@ def test_dynamic_plugins(topology):
     log.info('#####################################################\n')
 
 
-def run_isolated():
-    '''
-        run_isolated is used to run these test cases independently of a test scheduler (xunit, py.test..)
-        To run isolated without py.test, you need to
-            - edit this file and comment '@pytest.fixture' line before 'topology' function.
-            - set the installation prefix
-            - run this program
-    '''
-    global installation_prefix
-    installation_prefix = None
-
-    topo = topology(True)
-    test_dynamic_plugins(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/filter/filter_test.py b/dirsrvtests/tests/suites/filter/filter_test.py
index 7b1d19c..1601c23 100644
--- a/dirsrvtests/tests/suites/filter/filter_test.py
+++ b/dirsrvtests/tests/suites/filter/filter_test.py
@@ -130,17 +130,8 @@ def test_filter_search_original_attrs(topology):
     log.info('test_filter_search_original_attrs: PASSED')
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-
-    test_filter_init(topo)
-    test_filter_escaped(topo)
-    test_filter_search_original_attrs(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/get_effective_rights/ger_test.py b/dirsrvtests/tests/suites/get_effective_rights/ger_test.py
index 561d18e..57c97c3 100644
--- a/dirsrvtests/tests/suites/get_effective_rights/ger_test.py
+++ b/dirsrvtests/tests/suites/get_effective_rights/ger_test.py
@@ -74,15 +74,8 @@ def test_ger_(topology):
     return
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_ger_init(topo)
-    test_ger_(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/ldapi/__init__.py b/dirsrvtests/tests/suites/ldapi/__init__.py
index e69de29..40a96af 100644
--- a/dirsrvtests/tests/suites/ldapi/__init__.py
+++ b/dirsrvtests/tests/suites/ldapi/__init__.py
@@ -0,0 +1 @@
+# -*- coding: utf-8 -*-
diff --git a/dirsrvtests/tests/suites/ldapi/ldapi_test.py b/dirsrvtests/tests/suites/ldapi/ldapi_test.py
index e6eb477..2c30fc0 100644
--- a/dirsrvtests/tests/suites/ldapi/ldapi_test.py
+++ b/dirsrvtests/tests/suites/ldapi/ldapi_test.py
@@ -74,15 +74,8 @@ def test_ldapi_(topology):
     return
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_ldapi_init(topo)
-    test_ldapi_(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/linkedattrs_plugin/linked_attrs_test.py b/dirsrvtests/tests/suites/linkedattrs_plugin/linked_attrs_test.py
index 35f5bde..461da3f 100644
--- a/dirsrvtests/tests/suites/linkedattrs_plugin/linked_attrs_test.py
+++ b/dirsrvtests/tests/suites/linkedattrs_plugin/linked_attrs_test.py
@@ -74,15 +74,8 @@ def test_linked_attrs_(topology):
     return
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_linked_attrs_init(topo)
-    test_linked_attrs_(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/mapping_tree/mapping_tree_test.py b/dirsrvtests/tests/suites/mapping_tree/mapping_tree_test.py
index 3d432fe..d7a436b 100644
--- a/dirsrvtests/tests/suites/mapping_tree/mapping_tree_test.py
+++ b/dirsrvtests/tests/suites/mapping_tree/mapping_tree_test.py
@@ -74,15 +74,8 @@ def test_mapping_tree_(topology):
     return
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_mapping_tree_init(topo)
-    test_mapping_tree_(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/monitor/monitor_test.py b/dirsrvtests/tests/suites/monitor/monitor_test.py
index 0e40751..c1fc303 100644
--- a/dirsrvtests/tests/suites/monitor/monitor_test.py
+++ b/dirsrvtests/tests/suites/monitor/monitor_test.py
@@ -74,15 +74,8 @@ def test_monitor_(topology):
     return
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_monitor_init(topo)
-    test_monitor_(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/pam_passthru_plugin/pam_test.py b/dirsrvtests/tests/suites/pam_passthru_plugin/pam_test.py
index 63b162c..9ff4261 100644
--- a/dirsrvtests/tests/suites/pam_passthru_plugin/pam_test.py
+++ b/dirsrvtests/tests/suites/pam_passthru_plugin/pam_test.py
@@ -74,15 +74,8 @@ def test_pam_(topology):
     return
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_pam_init(topo)
-    test_pam_(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/passthru_plugin/passthru_test.py b/dirsrvtests/tests/suites/passthru_plugin/passthru_test.py
index 503a4e0..956d414 100644
--- a/dirsrvtests/tests/suites/passthru_plugin/passthru_test.py
+++ b/dirsrvtests/tests/suites/passthru_plugin/passthru_test.py
@@ -74,15 +74,8 @@ def test_passthru_(topology):
     return
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_passthru_init(topo)
-    test_passthru_(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/password/password_test.py b/dirsrvtests/tests/suites/password/password_test.py
index 05fe990..3781492 100644
--- a/dirsrvtests/tests/suites/password/password_test.py
+++ b/dirsrvtests/tests/suites/password/password_test.py
@@ -124,15 +124,8 @@ def test_password_delete_specific_password(topology):
     log.info('test_password_delete_specific_password: PASSED')
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_password_init(topo)
-    test_password_delete_specific_password(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/password/pwdAdmin_test.py b/dirsrvtests/tests/suites/password/pwdAdmin_test.py
index 10db5b3..dc8fdab 100644
--- a/dirsrvtests/tests/suites/password/pwdAdmin_test.py
+++ b/dirsrvtests/tests/suites/password/pwdAdmin_test.py
@@ -427,16 +427,8 @@ def test_pwdAdmin_config_validation(topology):
                  e.message['desc'])
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_pwdAdmin_init(topo)
-    test_pwdAdmin(topo)
-    test_pwdAdmin_config_validation(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/posix_winsync_plugin/posix_winsync_test.py b/dirsrvtests/tests/suites/posix_winsync_plugin/posix_winsync_test.py
index eaf7bc0..1c1a993 100644
--- a/dirsrvtests/tests/suites/posix_winsync_plugin/posix_winsync_test.py
+++ b/dirsrvtests/tests/suites/posix_winsync_plugin/posix_winsync_test.py
@@ -74,15 +74,8 @@ def test_posix_winsync_(topology):
     return
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_posix_winsync_init(topo)
-    test_posix_winsync_(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/psearch/psearch_test.py b/dirsrvtests/tests/suites/psearch/psearch_test.py
index 20ae78c..f78e19e 100644
--- a/dirsrvtests/tests/suites/psearch/psearch_test.py
+++ b/dirsrvtests/tests/suites/psearch/psearch_test.py
@@ -74,15 +74,8 @@ def test_psearch_(topology):
     return
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_psearch_init(topo)
-    test_psearch_(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
diff --git a/dirsrvtests/tests/suites/referint_plugin/referint_test.py b/dirsrvtests/tests/suites/referint_plugin/referint_test.py
index 07d5841..ded1622 100644
--- a/dirsrvtests/tests/suites/referint_plugin/referint_test.py
+++ b/dirsrvtests/tests/suites/referint_plugin/referint_test.py
@@ -74,15 +74,8 @@ def test_referint_(topology):
     return
 
 
-def run_isolated():
-    global installation1_prefix
-    installation1_prefix = None
-
-    topo = topology(True)
-    test_referint_init(topo)
-    test_referint_(topo)
-
-
 if __name__ == '__main__':
-    run_isolated()
-
+    # Run isolated
+    # -s for DEBUG mode
+    CURRENT_FILE = os.path.realpath(__file__)
+    pytest.main("-s %s" % CURRENT_FILE)
